Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepStartClient Method (DatabaseEntry)
DatabaseEnvironment Class See Also Send Feedback

Configure the database environment as a client in a group of replicated database environments.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void RepStartClient(
    	DatabaseEntry cdata
    )

Visual Basic (Declaration)
    Public Sub RepStartClient ( _
    	cdata As DatabaseEntry _
    )

Visual C++
    public:
    void RepStartClient(
    	DatabaseEntry^ cdata
    )

#### Parameters

cdata
  Type: BerkeleyDB..::.DatabaseEntry
  An opaque data item that is sent over the communication infrastructure when the client comes online (see Connecting to a new site in the Programmer's Reference Guide for more information). If no such information is useful, cdata should be null.

# See Also

DatabaseEnvironment Class
RepStartClient Overload
BerkeleyDB Namespace